de.caff.generics.function

## Interface IntOperator3

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntOperator3

  Ternary operator with three int arguments and a int result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default IntOperator3` | `andThen(IntOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `int` | `applyAsInt(int arg1, int arg2, int arg3)` Apply the function.
    `default IntOperator2` | `partialLeft(int argument)` Get a partially applied function.
    `default IntOperator2` | `partialMid(int argument)` Get a partially applied function.
    `default IntOperator2` | `partialRight(int argument)` Get a partially applied function.

- - ### Method Detail

    - #### applyAsInt

          int applyAsInt(int arg1,
                         int arg2,
                         int arg3)

      Apply the function.
      Parameters:
        `arg1` - first argument
        `arg2` - second argument
        `arg3` - third argument
      Returns:
        result of the function

    - #### partialLeft

          @NotNull
          default IntOperator2 partialLeft(int argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for first argument
      Returns:
        partially evaluated function

    - #### partialMid

          @NotNull
          default IntOperator2 partialMid(int argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for second argument
      Returns:
        partially evaluated function

    - #### partialRight

          @NotNull
          default IntOperator2 partialRight(int argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for third argument
      Returns:
        partially evaluated function

    - #### andThen

          @NotNull
          default IntOperator3 andThen(@NotNull
                                                IntOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function